<!DOCTYPE html>

<html lang="en">
    <head>
        <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@500&display=swap" rel="stylesheet">
        <link href="styles.css" rel="stylesheet">
        <title>Trivia!</title>
        <script>
            // TODO: Add code to check answers to questions
        </script>
    </head>
    <body>
        <div class="header">
            <h1>Trivia!</h1>
        </div>

        <div class="container">
            <div class="section">
                <h2>Part 1: Multiple Choice </h2>
                <hr>
                <!-- TODO: Add multiple choice question here -->
                <h3>Einstein was granted Nobel price in 1921.</h3>
                <h3>For what contribution he was given this price?.</h3>
                <button class='wrong'>General Relativity</button>
                <button class='wrong'>Special Relativity</button>
                <button class='right'>Photoelectric effect</button>
                <button class='wrong'>Quantum entangelment</button>
            </div>

            <div class="section">
                <h2>Part 2: Free Response</h2>
                <hr>
                <!-- TODO: Add free response question here -->
                <h3>How much is 2 + 3?</h3>
                <input type="text" id='answer' placeholder="Answer">
                <button id='submit' >Submit</button>
                <div id='result' style ='display:none'>????</div>
            </div>
        </div>
        <script>
            wrongButtons= document.querySelectorAll('button.wrong');
            wrongButtons.forEach((button) => {
                button.addEventListener('click', () => {
                    if(button.style.backgroundColor == 'red') {
                        button.style.backgroundColor = '';
                    } else {
                        button.style.backgroundColor = 'red';
                    }
                })
            })

            rightButton= document.querySelector('button.right');
            rightButton.addEventListener('click', () => {
                    if(rightButton.style.backgroundColor == 'green') {
                        rightButton.style.backgroundColor = '';
                    } else {
                        rightButton.style.backgroundColor = 'green';
                    }
                })

            document.querySelector('#submit').addEventListener('click', () => {
                if(document.querySelector('#answer').value == 5) {
                    result = document.querySelector('#result')
                    result.innerText = 'Correct!'
                    document.querySelector('#result').style.backgroundColor ='green'
                    document.querySelector('#result').style.color = 'white'
                    document.querySelector('#result').style.display='block'
                } else {
                    result.innerText = 'Wrong!  =('
                    document.querySelector('#result').style.backgroundColor ='red'
                    document.querySelector('#result').style.color = 'white'
                    document.querySelector('#result').style.display='block'

                }
            })
        </script>
    </body>
</html>
